Skip to main content
GET
/
api
/
public
/
v1
/
notes
/
{note_id}
/
ratings
List Note Ratings Jsonapi
curl --request GET \
  --url https://api.example.com/api/public/v1/notes/{note_id}/ratings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "attributes": {
        "note_id": "<string>",
        "rater_id": "<string>",
        "helpfulness_level": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "type": "ratings"
    }
  ],
  "jsonapi": {
    "version": "1.1"
  },
  "links": {
    "self_": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next_": "<string>",
    "describedby": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

note_id
string<uuid>
required

Response

Successful Response

JSON:API response for a list of rating resources.

data
RatingResource · object[]
required
jsonapi
Jsonapi · object

JSON:API links object for pagination and resource links.

Uses field aliases for 'self' and 'next' which are Python reserved words. Always use by_alias=True when serializing. Includes JSON:API 1.1 'describedby' link for API documentation.